import { html as a } from "lit";
import { property as n } from "lit/decorators.js";
import { PieIconComponent as m } from "./PieIconComponent.js";
import { safeCustomElement as f } from "@justeattakeaway/pie-webc-core";
var h = Object.defineProperty, v = Object.getOwnPropertyDescriptor, p = (c, t, i, r) => {
  for (var e = r > 1 ? void 0 : r ? v(t, i) : t, o = c.length - 1, l; o >= 0; o--)
    (l = c[o]) && (e = (r ? l(t, i, e) : l(e)) || e);
  return r && e && h(t, i, e), e;
};
let s = class extends m {
  constructor() {
    super(...arguments), this.size = "xs", this.defaultClasses = "c-pieIcon c-pieIcon--lei", this.class = "c-pieIcon c-pieIcon--lei", this.name = "IconLei";
  }
  render() {
    return a`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 16 16" class="c-pieIcon c-pieIcon--lei"><path d="M2.978 4.299H4.28v7.096H2.978zm7.402 4.576a2.4 2.4 0 0 1-.053.455H6.706A1.26 1.26 0 0 0 8 10.363a1.63 1.63 0 0 0 1.225-.473l.805.77A2.62 2.62 0 0 1 8 11.5a2.484 2.484 0 0 1-2.625-2.625A2.43 2.43 0 0 1 7.869 6.25a2.415 2.415 0 0 1 2.511 2.625m-1.295-.464a1.14 1.14 0 0 0-1.199-.997 1.12 1.12 0 0 0-1.19.997zm2.415 2.984h1.304v-4.97H11.5zm.648-5.539a.753.753 0 1 0-.78-.743.736.736 0 0 0 .745.743z"></path></svg>`;
  }
};
p([
  n({ type: String, reflect: !0 })
], s.prototype, "size", 2);
p([
  n({ type: String, reflect: !0 })
], s.prototype, "class", 2);
s = p([
  f("icon-lei")
], s);
export {
  s as IconLei
};
